(function() {
    'use strict';

    angular.module('wemApp.components').directive('wemMainSection', wemSection);

    wemSection.$inject = ['$window'];

    function wemSection($window) {
        return {
            restrict: 'A',
            scope: {},
            link: linkFunc
        };

        function linkFunc(scope, el) {
            if ($window.parent.location.pathname.indexOf('/editframe/') != -1) {
                el.addClass('wem-main-section-with-editframe-menu');
            } else {
                el.addClass('wem-main-section');
            }
        }
    }
})();