(function() {
    'use strict';

    angular.module('wemApp.components').controller("UserListConditionController", UserListConditionController);

    UserListConditionController.$inject = ['$scope', 'unomiUserListService'];

    function UserListConditionController($scope, unomiUserListService) {
        unomiUserListService.getAll().then(function (response) {
            var userLists = _.reject(response.data, function (userList) {
                return userList.scope != 'systemscope' && userList.scope != ManagersContext.dmfScope;
            });
            $scope.userListsChoiceListValues = userLists;
        });
    }
})();
