(function() {
    'use strict';

    angular.module('wemApp.services').service('loadingSpinnerService', loadingSpinnerService);

    function loadingSpinnerService() {
        var _spinner;

        return {
            register: register,
            show: show,
            hide: hide
        };

        function register(spinner) {
            _spinner = spinner;
        }

        function show() {
            if (_spinner) {
                _spinner.show();
            }
        }

        function hide() {
            if (_spinner) {
                _spinner.hide();
            }
        }
    }
})();