(function() {
    'use strict';

    angular.module('wemIncomingSearchesApp').controller('IncomingSearchByReferrersController', IncomingSearchByReferrersController);

    IncomingSearchByReferrersController.$inject = ['$scope', '$routeParams', 'referrerService'];

    function IncomingSearchByReferrersController($scope, $routeParams, referrerService) {
        var encodedQuery = $routeParams.queryID;
        $scope.incomingSearchDetails = referrerService.getQueryReferrers(encodedQuery);
    }
})();