(function() {
    'use strict';

    angular.module('wemSettingsApp').config(wemSettingsAppConfig);

    wemSettingsAppConfig.$inject = ['$routeProvider'];

    function wemSettingsAppConfig($routeProvider) {
        $routeProvider
            .when('/settings', {
                templateUrl: ManagersContext.wemAppPath + '/wem-settings/manage-wem-settings.html',
                controller: 'ManageWemSettingsController',
                controllerAs: 'manageWemSettings'
            })
            .otherwise({
                redirectTo: '/settings'
            });
    }
})();
