(function() {
    'use strict';

    angular.module('wemApp', [
        // Vendor modules
        'ngRoute',
        'ngResource',
        'ngCookies',
        'ngSanitize',

        'underscore',
        'datatables',
        'angularMoment',
        'angular-md5',
        'chart.js',

        // Shared modules
        'i18n',
        'wemApp.ui',
        'wemApp.factories',
        'wemApp.services',
        'wemApp.components'
    ]);

    angular.module('wemApp.ui',
        wemAppIsNewUI ? // UI angular material
        ['ngAnimate', 'ngMessages', 'ngMaterial', 'uiGmapgoogle-maps', 'lfNgMdFileInput']
        : // UI bootstrap
        ['ui-notification', 'ui.bootstrap', 'datatables.bootstrap', 'uiGmapgoogle-maps', 'autoCompleteModule']
    );

    angular.module('wemApp.factories', []);

    angular.module('wemApp.services', ['i18n', 'wemApp.ui']);

    angular.module('wemApp.components', ['i18n', 'wemApp.ui', 'wemApp.services', 'wemApp.factories']);
})();