(function() {
    'use strict';

    angular.module('wemApp.components').directive('wemContextServerIssue', wemContextServerIssue);

    function wemContextServerIssue() {
        return {
            restrict: 'E',
            scope: {},
            templateUrl: ManagersContext.wemAppPath + (wemAppIsNewUI ? '/components/wem-context-server-issue.directive.html' : '/components/wem-context-server-issue.directive.legacy.html'),
            controller: WemContextServerIssueController,
            controllerAs: 'wemContextServerIssueCtrl'
        };
    }

    function WemContextServerIssueController() {
        var vm = this;
        vm.isAllowedByLicense = ManagersContext.isAllowedByLicense;
        vm.contextServerIsNotSetup = !ManagersContext.contextServerSetup && ManagersContext.isAllowedByLicense;
        // set to false because we don't want to display the associate message if not setup
        vm.contextServerIsNotOnline = (ManagersContext.contextServerSetup)?!ManagersContext.contextServerOnline && ManagersContext.isAllowedByLicense:false;
    }
})();