(function() {
    'use strict';

    angular.module('wemApp.components').directive('wemIframeOnload', wemIframeOnload);

    function wemIframeOnload() {
        return {
            scope: {
                callBack: '@wemIframeOnload'
            },
            link: linkFunc
        };

        function linkFunc(scope, element, attrs) {
            element.on('load', function () {
                if (scope.$parent[scope.callBack]) {
                    scope.$parent[scope.callBack](element);
                }
            })
        }
    }
})();