(function() {
    'use strict';

    angular.module('wemApp.components').controller("hasSeenNPagesConditionController", hasSeenNPagesConditionController);

    hasSeenNPagesConditionController.$inject = ['$scope'];

    function hasSeenNPagesConditionController($scope) {
        $scope.ref.parameterValues.scope = ManagersContext.currentSiteKey;

        $scope.comparisonOperators = [
            {
                "id": "equals",
                "name": "comparisonOperator.equals",
                "appliesTo": ["email", "string", "integer"]
            }, {
                "id": "notEquals",
                "name": "comparisonOperator.notEquals",
                "appliesTo": ["integer"]
            }, {
                "id": "lessThan",
                "name": "comparisonOperator.lessThan",
                "appliesTo": ["integer"]
            }, {
                "id": "greaterThan",
                "name": "comparisonOperator.greaterThan",
                "appliesTo": ["integer"]
            }, {
                "id": "lessThanOrEqualTo",
                "name": "comparisonOperator.lessThanOrEqualTo",
                "appliesTo": ["integer"]
            }, {
                "id": "greaterThanOrEqualTo",
                "name": "comparisonOperator.greaterThanOrEqualTo",
                "appliesTo": ["integer"]
            }
        ];
    }
})();
