(function() {
    'use strict';

    angular.module('wemApp.services').service('unomiUserListService', unomiUserListService);

    unomiUserListService.$inject = ['$http'];

    function unomiUserListService($http) {
        var _userListsContext = ManagersContext.proxyServletUrl + ManagersUtils.cxsContext + 'userList/';

        return {
            getAll: getAll
        };

        function getAll() {
            return $http.get(_userListsContext);
        }
    }
})();