(function() {
    'use strict';

    angular.module('wemMostVisitedPagesApp').controller('MostVisitedPageDetailsController', MostVisitedPageDetailsController);

    MostVisitedPageDetailsController.$inject = ['$scope', 'internalSearchService', 'i18nService'];

    function MostVisitedPageDetailsController($scope, internalSearchService, i18nService) {
        $scope.searchDetail = internalSearchService.getMostVisitedDetails();

        $scope.getTabTitle = function (key) {
            return i18nService.message(key);
        };
    }
})();
